summaryrefslogtreecommitdiffstats
path: root/source/l/libtiff/libtiff.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libtiff/libtiff.SlackBuild')
-rwxr-xr-xsource/l/libtiff/libtiff.SlackBuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/source/l/libtiff/libtiff.SlackBuild b/source/l/libtiff/libtiff.SlackBuild
index cbadc1421..d46bd00a2 100755
--- a/source/l/libtiff/libtiff.SlackBuild
+++ b/source/l/libtiff/libtiff.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2004, 2005, 2006, 2009, 2010, 2011, 2012, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2004, 2005, 2006, 2009, 2010, 2011, 2012, 2013, 2015, 2018, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -80,6 +80,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Apply upstream patches (if any):
+for patch in $CWD/patches/*.patch.gz ; do
+ zcat $patch | patch -p1 --verbose || exit 1
+done
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \